Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.engine.builder
[Groovy] Class UriRedirectAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.codehaus.groovy.grails.webflow.engine.builder.UriRedirectAction

    class UriRedirectAction
    extends org.springframework.webflow.action.AbstractAction

Takes the url or uri formulated in the builder and produces an ExternalRedirect at runtime.

Authors:
  Adrian Stachowiak

Since:
  1.0

Property Summary
`java.lang.Object` | `uri`

Method Summary
`protected Event` | `doExecute(org.springframework.webflow.execution.RequestContext context)`

Methods inherited from class org.springframework.webflow.action.AbstractAction
org.springframework.webflow.action.AbstractAction#execute(org.springframework.webflow.execution.RequestContext), org.springframework.webflow.action.AbstractAction#afterPropertiesSet(), org.springframework.webflow.action.AbstractAction#getEventFactorySupport(), org.springframework.webflow.action.AbstractAction#wait(), org.springframework.webflow.action.AbstractAction#wait(long), org.springframework.webflow.action.AbstractAction#wait(long, int), org.springframework.webflow.action.AbstractAction#equals(java.lang.Object), org.springframework.webflow.action.AbstractAction#toString(), org.springframework.webflow.action.AbstractAction#hashCode(), org.springframework.webflow.action.AbstractAction#getClass(), org.springframework.webflow.action.AbstractAction#notify(), org.springframework.webflow.action.AbstractAction#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### uri

    java.lang.Object uri

Method Detail

### doExecute

    protected Event doExecute(org.springframework.webflow.execution.RequestContext context)

Groovy Documentation